v.sample(1)

NAME
v.sample - Sample a raster file at site locations.

SYNOPSIS
v.sample
v.sample help
v.sample [-BCq] input=string column=string output=string rast=string [z=float]

  Flags:

-B  Bilinear interpolation [default is nearest neighbor]

-C  Cubic convolution interpolation [default is nearest neighbor]

-q  Quiet

  Parameters:

input=string
    vector defining sample points

column=string
    Attribute column

output=string
    vector to store differences

rast=string
    raster file to be sampled

z=float
    Option scaling factor for values read from raster map. Sampled values will be multiplied by this factor. Default: 1.0

DESCRIPTION
v.sample samples a GRASS raster map at the point locations in the input file by either cubic convolution interpolation, bilinear interpolation, or nearest neighbor sampling (default).

This program may be especially useful when sampling for cross validation of interpolations whose output is a raster map.

NOTES

The output points will have the easting and northing of the input points. The input category value is used. The input attribute, raster value and difference is written to output.

When NULL values are encountered for a cell, zero value is used instead. In these cases, more acurrate results may be obtained by using the default nearest neighbor comparisons.

This program may not work properly with lat-long data when the -BC flags are used.

When interpolation is done (i.e., the -BC flags are used), values are assumed to be located at the centroid of grid cells. Therefore, current resolution settings are important.

SEE ALSO
s.random
g.region
Image Sampling Methods - GRASS Tutorial on s.sample (available as s.sample-tutorial.ps.gz)

BUGS
Please send all bug fixes and comments to the author or the grass development team.
http://grass.itc.it

AUTHOR
James Darrell McCauley ,
when he was at: Agricultural Engineering Purdue University

Updated for GRASS 5.0 by Eric G. Miller
Updated for GRASS 5.7 by Radim Blazek

Last changed: $Date: 2005/02/03 10:59:51 $

Help Index